## CamelVeeMessageInfo CamelVeeMessageInfo |

## Functions

CamelMessageInfo * | camel_vee_message_info_new ()
CamelFolderSummary * | camel_vee_message_info_get_original_summary ()
CamelFolder * | camel_vee_message_info_get_original_folder ()

## Object Hierarchy

        GObject
        ╰── CamelMessageInfo
            ╰── CamelVeeMessageInfo

## Description

## Functions

### camel_vee_message_info_new ()

    CamelMessageInfo *
    camel_vee_message_info_new (CamelFolderSummary *summary,
                                CamelFolderSummary *original_summary,
                                const gchar *vuid);

Creates a new instance of CamelVeeMessageInfo which references a message from the `original_summary` internally.

The `vuid` should be encoded in a way which the vFolder understands, which is like the one returned by `camel_vee_message_info_data_get_vee_message_uid()`.

#### Parameters

summary | a CamelVeeSummary, the "owner" of the created message info |
original_summary | an original CamelFolderSummary to reference to |
vuid | what UID to set on the resulting message info |

#### Returns

a newly created CamelVeeMessageInfo which references `orig_mi` . Free with `g_object_unref()` when done with it.

[transfer full]

Since: 3.24

### camel_vee_message_info_get_original_summary ()

    CamelFolderSummary *
    camel_vee_message_info_get_original_summary
                                   (const CamelVeeMessageInfo *vmi);

#### Parameters

vmi | a CamelVeeMessageInfo |

#### Returns

A CamelFolderSummary of the original message info, which this `vmi` is proxying.

[transfer none]

Since: 3.24

### camel_vee_message_info_get_original_folder ()

    CamelFolder *
    camel_vee_message_info_get_original_folder
                                   (const CamelVeeMessageInfo *vmi);

#### Parameters

vmi | a CamelVeeMessageInfo |

#### Returns

A CamelFolder of the original message info, which this `vmi` is proxying.

[transfer none]

Since: 3.24